#**************************************************************
#Sweep drawing
def purger
model=Sketchup.active_model
model.start_operation "Purge elements"

cd=model.definitions.count
model.definitions.purge_unused
cd=cd-model.definitions.count

cl=model.layers.count
model.layers.purge_unused
cl=cl-model.layers.count

cm=model.materials.count
model.materials.purge_unused
cm=cm-model.materials.count

cs=model.styles.count
model.styles.purge_unused
cs=cs-model.styles.count

UI.messagebox("Purged:\n\nComponents :\t "+cd.to_s+" elements.\nLayers :\t\t "+cl.to_s+" elements.\nMaterial :\t\t "+cm.to_s+" elements.\nStyles :\t\t "+cs.to_s+" elements.\t")

model.commit_operation
end

if not file_loaded?("purge.rb")
	UI.menu("Plugins").add_item("Purge") { purger }
	tb = UI::Toolbar.new("Purge")
	cmd = UI::Command.new("Purge") { purger }
		cmd.small_icon = File.join("purge_16.gif")
		cmd.large_icon = File.join("purge_24.gif")
		cmd.tooltip = "Purge"
		tb.add_item(cmd)
	state = tb.get_last_state 
	if(state == TB_NEVER_SHOWN)
		tb.show 
	elsif (state == TB_VISIBLE)
		tb.restore
	end
	file_loaded("purge.rb")	
end
